
/*
** TEKIPS Version 6.0 - New ValueTypes Sat Aug 06 07:07:31 2005
*/

MSG FormatSet LoadApplications [vt_AtomL] (SFRT-A/B SFRSUB PSTT-S PSPT-A PGMS-A PSPT-A/B SEDIAG WELLCAD )

gdefault (FormatSet) 

object "***sfrt-LLD_GR2/CHFR_log" (LogFormat)  CLASS

object "***sfrt-LLD_GR2/CORRELATION" (LogFormat)  CLASS

object "***sfrt-LLD_GR2/PSP_1" (LogFormat)  CLASS

object "***FormatSet" (FormatSet)  INDIVIDUAL

gclear

/* "***sfrt-LLD_GR2/CHFR_log" Slots */

  put   "***sfrt-LLD_GR2/CHFR_log" ActivityContext = [vt_AtomL] (SEIS/XYPLOT/TASK) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' AttOptions = [StringL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' AREAS = [StringL] ("Pi12 ALLO DU32 Z2 GR10 2 044 444 Perfo Zone     ") 
  slot  ' Csre Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Casing Segment Resistance"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_CSRE/DC) 
    facet ' ' TraceColor = [Int32L] (4 0 4) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMS
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMS
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMS
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMS,0,0.0001} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 0.0001
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] OHMS
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' qTAODBName = [vt_Atom] SFRT1/SYNLOG_CSRE/DC
  put   ' CurveTracks = [vt_AtomL] (T1 T2 T3 T23 D3T LHT1 RHT1 LHT2 RHT2 LHT3 RHT3) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ChannelSpecList = [vt_AtomLL] ((OBJECT SFRT1/SYNLOG_CSRE/DC)  (OBJECT SFRT1/LOGFLAG_FAIL_LQC/DC)  (OBJECT SFRT1/PERFO_INTERVAL/DC)  (OBJECT SFRT1/SYNLOG_RESIREF1/DC)  (OBJECT SFRT1/SYNLOG_RESIREF2/DC)  (OBJECT SFRT1/SYNLOG_RESIREF3/DC)  (OBJECT SFRT1/SYNLOG_RES_RL_SIN_OFF_TOP/DC)  (OBJECT SFRT1/SYNLOG_RES_RL_LDR_OFF_TOP/DC)  (OBJECT SFRT1/SYNLOG_RES_RL_SIN_OFF_BOT/DC)  (OBJECT SFRT1/SYNLOG_RES_RL_LDR_OFF_BOT/DC)  (OBJECT SFRT1/PERFO_INTERVAL/DC)  (OBJECT SFRT1/SYNLOG_ZINJ/DC)  (OBJECT SFRT1/LO_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_SIN_OFF_TOP_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_LDR_OFF_TOP_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_SIN_OFF_BOT_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/ME_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/HI_RES_RL_LDR_OFF_BOT_LOG/DC)  (OBJECT SFRT1/LO_RES_RL_LDR_OFF_BOT_LOG/DC) ) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' CURVES = [StringL] ("DU12 ALLO DUMM T1 LLIN 2 WRAP 0.5 0.000 0.000 OHMS 404 " "DU22 DISA DUMM TD HLIN 2 NB 1.0 0.000 1.000 ---- 400 " "DU32 ALLO DUMM TD LLIN 2 NB 1.0 20.000 0.000 ---- 000 " "DU42 ALLO DUMM T23 LLIN 2 GRAD 0.5 0.200 2000.000 OHMM 400 " "DU52 ALLO DUMM T1 LLIN 2 WRAP 0.5 0.000 200.000 GAPI 022 " "DU62 ALLO DUMM T1 LLIN 2 WRAP 0.5 0.000 200.000 GAPI 020 " "DU72 DISA DUMM T23 HLIN 2 GRAD 0.5 0.200 2000.000 OHMM 400 " "DU82 ALLO DUMM T23 LLIN 2 GRAD 0.5 0.200 2000.000 OHMM 420 " "DU92 DISA DUMM T23 HLIN 2 GRAD 0.5 0.200 2000.000 OHMM 004 " "DUA2 DISA DUMM T23 HDAS 2 GRAD 0.5 0.200 2000.000 OHMM 024 " "DUB2 DISA DUMM TD LLIN 2 NB 1.0 20.000 0.000 ---- 104 " "DUC2 ALLO DUMM T1 LLIN 2 WRAP 0.5 0.000 1.000 OHMS 400 ") 
  put   ' DefaultRiver = [vt_Atom] SFRT1/SYNLOG/RIVER
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DisplayRivers = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DepthAnnotation = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DeviceChar = [vt_Atom] NORMAL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DestroyOnCompletion = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DefaultDests = [vt_AtomL] (PRIMARY_SCREEN) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatPrologue = [vt_AtomL] (VersionOpenInsert IdentificationInsert OpenCurveInsert) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatEpilogue = [vt_AtomL] (CloseCurveInsert VersionCloseInsert WSDCloseInsert) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' Fail_Lqc_F Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Cfrt LQC Bad Flag"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/LOGFLAG_FAIL_LQC/DC) 
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' Track = [vt_Atom] D3T
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",0,1} ) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceWeight = [vt_Atom] W14
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' FormatClassesSlot = [vt_Atom] LogClasses
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Format = [vt_Atom] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatSetSlot = [vt_Atom] M1
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FilterListList = [pm_FilterLL] (({CSU,(0.5) ,#NULL} )  #NULL #NULL ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  #NULL ({CSU,(0.5) ,#NULL} )  #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL #NULL) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatMessageNames = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FolderDefaultDests = [vt_AtomL] (CURRENT_RUN:) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FlagNames = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatClass = [vt_Atom] CHFR_log
  put   ' FILMS = [StringL] ("2 E40 -4- D200") 
  put   ' GridTypes = [vt_AtomL] (LINEAR LOGARITHMIC CONTINUATION) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GridParameterLists = [Int32LL] ((10)  (4 2)  () ) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GridTracks = [vt_AtomL] (T1 T2 T3) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GraphicsModuleClass = [vt_Atom] CLG_MODULE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GateTypeList = [vt_AtomL] (LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GeneratorContext = [Int32] 0
  put   ' Handle = [Int32] 29641464
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' IndexLineControls = [vt_AtomL] (ON ON ON) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' IndexNumberPositions = [Float32L] (3.25) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Inputs = [vt_AtomLF] Pres_LogFormatInputs
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' InputList = [vt_AtomL] (Csre Fail_Lqc_F Pifl Ref1 Ref2 Ref3 Res_Top_Estim Res_Top_Meas Res_Bot_Estim Res_Bot_Meas SFRT1/PERFO_INTERVAL/CURVE Zinj Res_Top_Estim_Me-SFRT1/LO_RES_TOP_ESTIM/CURVE Res_Top_Estim_Me-SFRT1/ME_RES_TOP_ESTIM/CURVE Res_Top_Estim_Me-SFRT1/HI_RES_TOP_ESTIM/CURVE Res_Top_Estim_Lo-SFRT1/HI_RES_TOP_ESTIM/CURVE Res_Top_Estim_Lo-SFRT1/LO_RES_TOP_ESTIM/CURVE Res_Top_Estim_Lo-SFRT1/ME_RES_TOP_ESTIM/CURVE Res_Top_Estim_Hi-SFRT1/ME_RES_TOP_ESTIM/CURVE Res_Top_Estim_Hi-SFRT1/HI_RES_TOP_ESTIM/CURVE Res_Top_Estim_Hi-SFRT1/LO_RES_TOP_ESTIM/CURVE Res_Top_Meas_Me-SFRT1/LO_RES_TOP_MEAS/CURVE Res_Top_Meas_Me-SFRT1/ME_RES_TOP_MEAS/CURVE Res_Top_Meas_Me-SFRT1/HI_RES_TOP_MEAS/CURVE Res_Top_Meas_Lo-SFRT1/HI_RES_TOP_MEAS/CURVE Res_Top_Meas_Lo-SFRT1/LO_RES_TOP_MEAS/CURVE Res_Top_Meas_Lo-SFRT1/ME_RES_TOP_MEAS/CURVE Res_Top_Meas_Hi-SFRT1/ME_RES_TOP_MEAS/CURVE Res_Top_Meas_Hi-SFRT1/HI_RES_TOP_MEAS/CURVE Res_Top_Meas_Hi-SFRT1/LO_RES_TOP_MEAS/CURVE Res_Bot_Estim_Me-SFRT1/LO_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Me-SFRT1/ME_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Me-SFRT1/HI_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Lo-SFRT1/HI_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Lo-SFRT1/LO_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Lo-SFRT1/ME_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Hi-SFRT1/ME_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Hi-SFRT1/HI_RES_BOT_ESTIM/CURVE Res_Bot_Estim_Hi-SFRT1/LO_RES_BOT_ESTIM/CURVE Res_Bot_Meas_Me-SFRT1/LO_RES_BOT_MEAS/CURVE Res_Bot_Meas_Me-SFRT1/ME_RES_BOT_MEAS/CURVE Res_Bot_Meas_Me-SFRT1/HI_RES_BOT_MEAS/CURVE Res_Bot_Meas_Lo-SFRT1/HI_RES_BOT_MEAS/CURVE Res_Bot_Meas_Lo-SFRT1/LO_RES_BOT_MEAS/CURVE Res_Bot_Meas_Lo-SFRT1/ME_RES_BOT_MEAS/CURVE Res_Bot_Meas_Hi-SFRT1/ME_RES_BOT_MEAS/CURVE Res_Bot_Meas_Hi-SFRT1/HI_RES_BOT_MEAS/CURVE Res_Bot_Meas_Hi-SFRT1/LO_RES_BOT_MEAS/CURVE) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' InsertAppend = [vt_Atom] LIS_UNITS
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Label = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' LabelInterval = [Float32] 0
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Lock = [Int32] 95246752
  put   ' MaintainAspectRatio = [Boolean] #TRUE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' OnOffList = [vt_AtomL] (ON OFF ON ON ON ON OFF ON OFF OFF OFF ON OFF OFF OFF OFF OFF OFF OFF OFF OFF ON ON ON OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF OFF) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' OptionalList = [Int32L] (1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' Pifl Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/PERFO_INTERVAL/DC) 
    facet ' ' Comment = [String] "Perfo Zone"
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",20,0} ) 
    facet ' ' Track = [vt_Atom] D3T
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 20
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 0
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' qTAODBName = [vt_Atom] SFRT1/PERFO_INTERVAL/DC
  slot  ' Pifl_area AreaShade = [vt_Atom] #NOVALUE
    facet ' ' Comment = [String] "Perfo Zone"
    facet ' ' ForeColor = [Int32L] (0 4 4) 
    facet ' ' FillMode = [vt_Atom] FromTo
    facet ' ' From = [vt_Atom] Pifl
    facet ' ' Shade = [vt_Atom] GRAY10
    facet ' ' To = [vt_Atom] D3T
    facet ' ' BackColor = [Int32L] (4 4 4) 
    facet ' ' Description = [vt_Atom] YES
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' Track = [vt_Atom] Track
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",0,1} ) 
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] #NULL
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] #NULL
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' METRIC_ScaleUnit = [vt_Atom] #NULL
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Area
  put   ' Position = [Int32L] (-1 -1 300 825) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' PrintWidth = [Int32] 825
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ParamInsertDefault = [vt_AtomL] (FILTERED) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' PIPS = [StringL] () 
  slot  ' Ref1 Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Open Hole LLD"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_RESIREF1/DC) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' BackupMode = [vt_Atom] SHIFTED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' qTAODBName = [vt_Atom] SFRT1/SYNLOG_RESIREF1/DC
  slot  ' Ref2 Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Cased Hole Gamma Ray"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_RESIREF2/DC) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' TraceColor = [Int32L] (0 2 2) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 200
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] GAPI
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0.2
    facet ' ' OldRightScale = [Float32] 200
    facet ' ' qTAODBName = [vt_Atom] SFRT1/SYNLOG_RESIREF2/DC
  slot  ' Ref3 Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' Comment = [String] "Open Hole Gamma Ray"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_RESIREF3/DC) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",0,20} ) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 2 0) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 200
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] GAPI
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 20
    facet ' ' qTAODBName = [vt_Atom] SFRT1/SYNLOG_RESIREF3/DC
  slot  ' Res_Top_Estim Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Cfrt Top Step Resistivity Computed with Estimated Voltage"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_RES_RL_SIN_OFF_TOP/DC) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' BackupMode = [vt_Atom] SHIFTED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceWeight = [vt_Atom] HEAVY
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' Res_Top_Estim_Me BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (4 0 0) 
    facet ' ' Comment = [String] "Cfrt Top Step Average Resistivity Computed with Estimated Voltage"
    facet ' ' InputList = [vt_AtomL] (SFRT1/LO_RES_TOP_ESTIM/CURVE SFRT1/ME_RES_TOP_ESTIM/CURVE SFRT1/HI_RES_TOP_ESTIM/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Top_Estim_Lo BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (4 0 0) 
    facet ' ' Comment = [String] "Cfrt Top Step Lowest Resistivity Computed with Estimated Voltage"
    facet ' ' InputList = [vt_AtomL] (SFRT1/HI_RES_TOP_ESTIM/CURVE SFRT1/LO_RES_TOP_ESTIM/CURVE SFRT1/ME_RES_TOP_ESTIM/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Top_Estim_Hi BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (4 0 0) 
    facet ' ' Comment = [String] "Cfrt Top Step Highest Resistivity Computed with Estimated Voltage"
    facet ' ' InputList = [vt_AtomL] (SFRT1/ME_RES_TOP_ESTIM/CURVE SFRT1/HI_RES_TOP_ESTIM/CURVE SFRT1/LO_RES_TOP_ESTIM/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Top_Meas Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Cfrt Top Step Resistivity Computed with Dcvolt"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_RES_RL_LDR_OFF_TOP/DC) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (4 2 0) 
    facet ' ' BackupMode = [vt_Atom] SHIFTED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' qTAODBName = [vt_Atom] SFRT1/SYNLOG_RES_RL_LDR_OFF_TOP/DC
  slot  ' Res_Top_Meas_Me BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (4 2 0) 
    facet ' ' Comment = [String] "Cfrt Top Step Average Resistivity Computed with Dcvolt"
    facet ' ' InputList = [vt_AtomL] (SFRT1/LO_RES_TOP_MEAS/CURVE SFRT1/ME_RES_TOP_MEAS/CURVE SFRT1/HI_RES_TOP_MEAS/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Top_Meas_Lo BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (4 2 0) 
    facet ' ' Comment = [String] "Cfrt Top Step Lowest Resistivity Computed with Dcvolt"
    facet ' ' InputList = [vt_AtomL] (SFRT1/HI_RES_TOP_MEAS/CURVE SFRT1/LO_RES_TOP_MEAS/CURVE SFRT1/ME_RES_TOP_MEAS/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Top_Meas_Hi BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (4 2 0) 
    facet ' ' Comment = [String] "Cfrt Top Step Highest Resistivity Computed with Dcvolt"
    facet ' ' InputList = [vt_AtomL] (SFRT1/ME_RES_TOP_MEAS/CURVE SFRT1/HI_RES_TOP_MEAS/CURVE SFRT1/LO_RES_TOP_MEAS/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Bot_Estim Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Cfrt Bot Step Resistivity Computed with Estimated Voltage"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_RES_RL_SIN_OFF_BOT/DC) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (0 0 4) 
    facet ' ' BackupMode = [vt_Atom] SHIFTED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceWeight = [vt_Atom] HEAVY
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' Res_Bot_Estim_Me BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (0 0 4) 
    facet ' ' Comment = [String] "Cfrt Bot Step Average Resistivity Computed with Estimated Voltage"
    facet ' ' InputList = [vt_AtomL] (SFRT1/LO_RES_BOT_ESTIM/CURVE SFRT1/ME_RES_BOT_ESTIM/CURVE SFRT1/HI_RES_BOT_ESTIM/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Bot_Estim_Lo BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (0 0 4) 
    facet ' ' Comment = [String] "Cfrt Bot Step Lowest Resistivity Computed with Estimated Voltage"
    facet ' ' InputList = [vt_AtomL] (SFRT1/HI_RES_BOT_ESTIM/CURVE SFRT1/LO_RES_BOT_ESTIM/CURVE SFRT1/ME_RES_BOT_ESTIM/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Bot_Estim_Hi BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (0 0 4) 
    facet ' ' Comment = [String] "Cfrt Bot Step Highest Resistivity Computed with Estimated Voltage"
    facet ' ' InputList = [vt_AtomL] (SFRT1/ME_RES_BOT_ESTIM/CURVE SFRT1/HI_RES_BOT_ESTIM/CURVE SFRT1/LO_RES_BOT_ESTIM/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Bot_Meas Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Cfrt Bot Step Resistivity Computed with Dcvolt"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_RES_RL_LDR_OFF_BOT/DC) 
    facet ' ' TraceCode = [vt_Atom] DOTTED
    facet ' ' TraceColor = [Int32L] (0 2 4) 
    facet ' ' BackupMode = [vt_Atom] SHIFTED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceWeight = [vt_Atom] HEAVY
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' Res_Bot_Meas_Me BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (0 2 4) 
    facet ' ' Comment = [String] "Cfrt Bot Step Average Resistivity Computed with Dcvolt"
    facet ' ' InputList = [vt_AtomL] (SFRT1/LO_RES_BOT_MEAS/CURVE SFRT1/ME_RES_BOT_MEAS/CURVE SFRT1/HI_RES_BOT_MEAS/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Bot_Meas_Lo BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (0 2 4) 
    facet ' ' Comment = [String] "Cfrt Bot Step Lowest Resistivity Computed with Dcvolt"
    facet ' ' InputList = [vt_AtomL] (SFRT1/HI_RES_BOT_MEAS/CURVE SFRT1/LO_RES_BOT_MEAS/CURVE SFRT1/ME_RES_BOT_MEAS/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  slot  ' Res_Bot_Meas_Hi BoreholeDrift = [t_Object] #NOVALUE
    facet ' ' Color = [Int32L] (0 2 4) 
    facet ' ' Comment = [String] "Cfrt Bot Step Highest Resistivity Computed with Dcvolt"
    facet ' ' InputList = [vt_AtomL] (SFRT1/ME_RES_BOT_MEAS/CURVE SFRT1/HI_RES_BOT_MEAS/CURVE SFRT1/LO_RES_BOT_MEAS/CURVE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMM
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMM
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Frequency = [Float32] 0.05
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMM
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LOGARITHMIC
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMM,0.2,2000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TadpoleType = [vt_Atom] CfrtResTadpole
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0.2
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] OHMM
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] BoreholeDrift
  put   ' RiverList = [vt_AtomL] (SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER #NULL SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER SFRT1/SYNLOG/RIVER) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Ready = [Boolean] #TRUE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Reset = [vt_FunctionId] Pres_ResetPL
  put   ' ScrollSize = [Int32] -2000
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ForPDS = [Int32F] Pres_LogFormatScrollSizeForPDS
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' StopNotifyParameters = [vt_AtomL] (HOLE_VOLUME/IHVC/PARAMETER) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' SFRT1/PERFO_INTERVAL/CURVE Curve = [t_Object] #NULL
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/PERFO_INTERVAL/DC) 
    facet ' ' Comment = [String] "Perfo Zone"
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",20,0} ) 
    facet ' ' Track = [vt_Atom] D3T
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (1 0 4) 
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 20
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 0
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' Type = [vt_Atom] LogFormat
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnitList = [vt_AtomL] (OHMS "----" "----" OHMM GAPI GAPI OHMM OHMM OHMM OHMM "----" OHMS OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM OHMM) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnReadyPending = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnitSystem = [vt_Atom] METRIC
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' Modified = [Boolean] #FALSE
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VerticalScale = [vt_Atom] D200_Metric
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ENGLISH = [vt_Atom] D100_English
    put   ' ' CANADIAN = [vt_Atom] D100_Metric
    put   ' ' METRIC = [vt_Atom] D100_Metric
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VisibleGroups = [t_ObjectL] (Track Curve VerticalScale Tadpole Waveform AreaShade Image BoreholeDrift DipAngle CurveAggregate Pip Constant ValueCurve VDL) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VDLS = [StringL] () 
  put   ' WAVES = [StringL] () 
  slot  ' Zinj Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "SFRT Casing Step Injection Impedance"
    facet ' ' ChannelSpec = [vt_AtomL] (OBJECT SFRT1/SYNLOG_ZINJ/DC) 
    facet ' ' Scales = [pm_UnitDefaultsL] ({OHMS,0,1} ) 
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] OHMS
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] OHMS
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] OHMS
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] OHMS
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' qTAODBName = [vt_Atom] SFRT1/SYNLOG_ZINJ/DC
  put   ' opd_Dumpable = [Boolean] #TRUE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute

/* "***sfrt-LLD_GR2/CORRELATION" Slots */

  put   "***sfrt-LLD_GR2/CORRELATION" AttOptions = [StringL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ActivityContext = [vt_AtomL] (DEPTH_LOGGING PLAY_ONLY PLAY_RECALIBRATE PLAY_RECOMPUTE DEPTH_VIEWING LOG_LC) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' CurveTracks = [vt_AtomL] (T1 T2 T3 T23 D3T LHT1 RHT1 LHT2 RHT2 LHT3 RHT3) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ChannelSpecList = [vt_AtomLL] ((LIS_NAME CCLC_PSTT CCLC)  (LIS_NAME CCLD_PSTT CCLD)  (LIS_NAME GR)  (LIS_NAME SP)  (LIS_NAME TENS) ) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' CCLC_PSTT Curve = [t_Object] #NULL
    facet ' ' Comment = [String] "Computed CCL"
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME CCLC_PSTT CCLC) 
    facet ' ' Scales = [pm_UnitDefaultsL] ({V,1,-3} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] V
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] V
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' METRIC_ScaleUnit = [vt_Atom] V
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 1
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] -3
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] V
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' CCLD_PSTT Curve = [t_Object] #NULL
    facet ' ' Comment = [String] "Discriminated CCL"
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME CCLD_PSTT CCLD) 
    facet ' ' Scales = [pm_UnitDefaultsL] ({V,-19,1} ) 
    facet ' ' Track = [vt_Atom] T2
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] V
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] V
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' METRIC_ScaleUnit = [vt_Atom] V
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] -19
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] V
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' DisplayRivers = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DepthAnnotation = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DefaultRiver = [vt_Atom] "6_INCH"
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DeviceChar = [vt_Atom] NORMAL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DestroyOnCompletion = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DefaultDests = [vt_AtomL] (PRIMARY_SCREEN) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatPrologue = [vt_AtomL] (LISOpenInsert SpeedCorrectedDepthInsert VersionOpenInsert IdentificationInsert Open_Param_Insert OpenCurveInsert) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatEpilogue = [vt_AtomL] (CloseCurveInsert Close_Param_Insert VersionCloseInsert hole_volume_insert SpeedCorrectedDepthInsert LISCloseInsert WSDCloseInsert) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatClassesSlot = [vt_Atom] LogClasses
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Format = [vt_Atom] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatSetSlot = [vt_Atom] M2
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FilterListList = [pm_FilterLL] (#NULL #NULL ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} ) ) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatMessageNames = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FolderDefaultDests = [vt_AtomL] (CURRENT_RUN:) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FlagNames = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatClass = [vt_Atom] CORRELATION
  slot  ' GR Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME GR) 
    facet ' ' Comment = [String] "Gamma Ray"
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 3 0) 
    facet ' ' BackupMode = [vt_Atom] SHIFTED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] GAPI
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] GAPI
    facet ' ' FlagNames = [vt_AtomL] (STIFlag) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] GAPI
    facet ' ' Scales = [pm_UnitDefaultsL] ({GAPI,0,150} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 150
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] GAPI
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' GridTracks = [vt_AtomL] (T1 T2 T3) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GridTypes = [vt_AtomL] (LINEAR LINEAR LINEAR) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GridParameterLists = [Int32LL] ((10)  (10)  (10) ) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GraphicsModuleClass = [vt_Atom] CLG_MODULE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GateTypeList = [vt_AtomL] (LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GeneratorContext = [Int32] 0
  put   ' Handle = [Int32] 0
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' IndexLineControls = [vt_AtomL] (ON ON ON) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' IndexNumberPositions = [Float32L] (3.25) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Inputs = [vt_AtomLF] Pres_LogFormatInputs
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' InputList = [vt_AtomL] (CCLC_PSTT CCLD_PSTT GR SP TENS) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' InsertAppend = [vt_Atom] LIS_UNITS
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Label = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' LabelInterval = [Float32] 0
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Lock = [Int32] 0
  put   ' MaintainAspectRatio = [Boolean] #TRUE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' OnOffList = [vt_AtomL] (ON ON OFF OFF ON) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' OptionalList = [Int32L] (1 1 1 1 1) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Position = [Int32L] (-1 -1 300 825) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' PrintWidth = [Int32] 825
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ParamInsertDefault = [vt_AtomL] (FILTERED) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' RiverList = [vt_AtomL] (#NULL #NULL #NULL #NULL #NULL) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Ready = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' SP Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] MV
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME SP) 
    facet ' ' Comment = [String] SP
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] MV
    facet ' ' FlagNames = [vt_AtomL] (STIFlag) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] MV
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' Scales = [pm_UnitDefaultsL] ({MV,-80,20} ) 
    facet ' ' TraceCode = [vt_Atom] LONG_DASHED
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' Track = [vt_Atom] T1
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' LeftScale = [Float32] -80
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 20
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] MV
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' ScrollSize = [Int32] -2000
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ForPDS = [Int32F] Pres_LogFormatScrollSizeForPDS
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' StopNotifyParameters = [vt_AtomL] (HOLE_VOLUME/IHVC/PARAMETER) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' TENS Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME TENS) 
    facet ' ' Comment = [String] Tension
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' TraceCode = [vt_Atom] DOTTED
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' Track = [vt_Atom] D3T
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] N
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] LBF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] LBF
    facet ' ' Scales = [pm_UnitDefaultsL] ({LBF,10000,0}  {N,20000,0} ) 
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2000
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] LBF
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 0
  put   ' Type = [vt_Atom] LogFormat
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnitList = [vt_AtomL] (V V GAPI MV LBF) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnReadyPending = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnitSystem = [vt_Atom] METRIC
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' Modified = [Boolean] #FALSE
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VisibleGroups = [t_ObjectL] (Track Curve VerticalScale Tadpole Waveform AreaShade Image BoreholeDrift DipAngle CurveAggregate Pip Constant ValueCurve VDL) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VerticalScale = [vt_Atom] D200_Metric
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' CANADIAN = [vt_Atom] D240_Metric
    put   ' ' ENGLISH = [vt_Atom] S5
    put   ' ' METRIC = [vt_Atom] D200_Metric
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' opd_Dumpable = [Boolean] #TRUE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute

/* "***sfrt-LLD_GR2/PSP_1" Slots */

  put   "***sfrt-LLD_GR2/PSP_1" AttOptions = [StringL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ActivityContext = [vt_AtomL] (DEPTH_LOGGING PLAY_ONLY PLAY_RECALIBRATE PLAY_RECOMPUTE DEPTH_VIEWING LOG_LC) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' AREAS = [StringL] () 
  slot  ' CS Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME CS) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] M/HR
    facet ' ' Comment = [String] "Cable Speed"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] F/HR
    facet ' ' METRIC_ScaleUnit = [vt_Atom] M/HR
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' Scales = [pm_UnitDefaultsL] ({F/HR,0,50000}  {M/HR,0,150000} ) 
    facet ' ' Track = [vt_Atom] RHT3
    facet ' ' TraceCode = [vt_Atom] DOTTED
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' TraceColor = [Int32L] (3 0 1) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 5000
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' ScaleUnit = [vt_Atom] F/HR
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 50000
  slot  ' CCLD Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Discriminated CCL"
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME CCLD) 
    facet ' ' Scales = [pm_UnitDefaultsL] ({V,3,-1} ) 
    facet ' ' Track = [vt_Atom] D3T
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] V
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] V
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' METRIC_ScaleUnit = [vt_Atom] V
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 3
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] -1
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] V
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' CurveTracks = [vt_AtomL] (T1 T2 T3 T23 D3T LHT1 RHT1 LHT2 RHT2 LHT3 RHT3) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ChannelSpecList = [vt_AtomLL] ((LIS_NAME CS)  (LIS_NAME CCLD)  (LIS_NAME CCLC)  (LIS_NAME PFC1 PFC1_SL)  (LIS_NAME PFC2 PFC2_SL)  (LIS_NAME GR)  (LIS_NAME MTEP_SL MTEP)  (LIS_NAME MTEP_SL MTEP)  (LIS_NAME MWFD)  (LIS_NAME MTEP_PUCS1_SL MTEP_PUCS1)  (LIS_NAME MTEP_PUCS1_SL MTEP_PUCS1)  (LIS_NAME WPRE_PUCS1_SL WPRE_PUCS1)  (LIS_NAME PIFL_DM PIFL)  (LIS_NAME SPIN SPIN_SL)  (LIS_NAME SPI1 SPI1_SL)  (LIS_NAME SPI2 SPI2_SL)  (LIS_NAME SVFG SVFG_SL)  (LIS_NAME SVF1 SVF1_SL)  (LIS_NAME SVF2 SVF2_SL)  (LIS_NAME TENS)  (LIS_NAME WTEP_SL WTEP)  (LIS_NAME WTEP_SL WTEP)  (LIS_NAME WPRE_SL WPRE)  (LIS_NAME WPRE_SL WPRE)  (LIS_NAME WFDE WFDE_SL)  (LIS_NAME WTGR)  (LIS_NAME "6TIM" ETIM)  (LIS_NAME XXX)  (LIS_NAME TOJ)  (LIS_NAME WPRE_SL WPRE) ) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' CURVES = [StringL] () 
  slot  ' CCLC Curve = [t_Object] #NULL
    facet ' ' Comment = [String] "Computed CCL"
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME CCLC) 
    facet ' ' Scales = [pm_UnitDefaultsL] ({V,1,-3} ) 
    facet ' ' Track = [vt_Atom] D3T
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] V
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] V
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' METRIC_ScaleUnit = [vt_Atom] V
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 1
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] -3
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' ScaleUnit = [vt_Atom] V
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' DFCA Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' Comment = [String] "PFCS X Caliper"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] IN
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME PFC1 PFC1_SL) 
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] IN
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] IN
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({IN,10,0} ) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 10
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 0
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] IN
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' DFCAY Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' Comment = [String] "PFCS Y Caliper"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] IN
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME PFC2 PFC2_SL) 
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] IN
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] IN
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({IN,0,10} ) 
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceColor = [Int32L] (0 0 4) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 10
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] IN
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' DisplayRivers = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DefaultRiver = [vt_Atom] "6_INCH"
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DeviceChar = [vt_Atom] NORMAL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DestroyOnCompletion = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DefaultDests = [vt_AtomL] (PRIMARY_SCREEN) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' DepthAnnotation = [vt_Atom] ON
    put   ' ' ROLE = [vt_Atom] Attribute
    facet ' ' FlagNames = [vt_AtomL] #NULL
  put   ' FormatPrologue = [vt_AtomL] (LISOpenInsert SpeedCorrectedDepthInsert Open_Param_Insert VersionOpenInsert IdentificationInsert OpenCurveInsert) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatEpilogue = [vt_AtomL] (CloseCurveInsert Close_Param_Insert VersionCloseInsert hole_volume_insert SpeedCorrectedDepthInsert LISCloseInsert) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatClassesSlot = [vt_Atom] LogClasses
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Format = [vt_Atom] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatSetSlot = [vt_Atom] M3
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FilterListList = [pm_FilterLL] (({CSU,(0.5) ,#NULL} )  #NULL #NULL ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  #NULL ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  ({PIP,(60) ,#NULL} )  ({CSU,(0.5) ,#NULL} )  #NULL #NULL) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatMessageNames = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FolderDefaultDests = [vt_AtomL] (CURRENT_RUN:) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FlagNames = [vt_AtomL] #NULL
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' FormatClass = [vt_Atom] PSP_1
  put   ' FILMS = [StringL] () 
  slot  ' GR Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] SHIFTED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME GR) 
    facet ' ' Comment = [String] "Gamma Ray"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] GAPI
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] GAPI
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] GAPI
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({GAPI,0,100} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (0 2 0) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 150
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] GAPI
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 100
  put   ' GridTracks = [vt_AtomL] (T1 T2 T3) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GridTypes = [vt_AtomL] (LINEAR LINEAR LINEAR) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GridParameterLists = [Int32LL] ((10)  (10)  (10) ) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GraphicsModuleClass = [vt_Atom] CLG_MODULE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GateTypeList = [vt_AtomL] (LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE LAST_VALUE) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' GeneratorContext = [Int32] 0
  put   ' Handle = [Int32] 0
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' IndexLineControls = [vt_AtomL] (ON ON ON) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' IndexNumberPositions = [Float32L] (3.25) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Inputs = [vt_AtomLF] Pres_LogFormatInputs
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' InputList = [vt_AtomL] (CS CCLD CCLC DFCA DFCAY GR MTEP MTEP_HR MWFD PUCS1_MTEP PUCS1_MTEP_HR PUCS1_WPRE PERFO_CURVE SPIN SPI1 SPI2 SVFG SVF1 SVF2 TENS WTEP WTEP_HR WPRE WPRE_HR WFDE WTGR Time_Pip SpareNumberCurve TOJ_ALPHA WPRE_ALPHA) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' InsertAppend = [vt_Atom] LIS_UNITS
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Label = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' LabelInterval = [Float32] 0
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Lock = [Int32] 0
  slot  ' MTEP Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME MTEP_SL MTEP) 
    facet ' ' Comment = [String] "PBMS Pressure Gauge Temperature"
    facet ' ' Track = [vt_Atom] T2
    facet ' ' TraceCode = [vt_Atom] SHORT_DASHED
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' TraceColor = [Int32L] (0 4 0) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] DEGF
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({DEGC,0,150}  {DEGF,0,300} ) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 150
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] DEGC
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' MTEP_HR Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME MTEP_SL MTEP) 
    facet ' ' Comment = [String] "PBMS Pressure Gauge Temperature"
    facet ' ' Track = [vt_Atom] T2
    facet ' ' TraceCode = [vt_Atom] SHORT_DASHED
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' TraceColor = [Int32L] (0 4 0) 
    facet ' ' Scales = [pm_UnitDefaultsL] ({DEGC,0,10}  {DEGF,0,20} ) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] DEGF
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 10
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] DEGC
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' MWFD Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME MWFD) 
    facet ' ' Comment = [String] "Manometer Well Fluid Density"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] G/C3
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] G/C3
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] G/C3
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({G/C3,0,2} ) 
    facet ' ' Track = [vt_Atom] T3
    facet ' ' TraceCode = [vt_Atom] SHORT_DASHED
    facet ' ' TraceColor = [Int32L] (0 0 4) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] G/C3
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' MaintainAspectRatio = [Boolean] #TRUE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' OnOffList = [vt_AtomL] (ON ON ON OFF OFF ON OFF OFF OFF OFF OFF OFF ON OFF OFF OFF OFF OFF OFF ON ON ON ON ON OFF ON ON OFF OFF ON) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' OptionalList = [Int32L] (1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' PUCS1_MTEP Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME MTEP_PUCS1_SL MTEP_PUCS1) 
    facet ' ' Comment = [String] "PUCS CQG Temperature"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] DEGF
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({DEGC,0,150}  {DEGF,0,300} ) 
    facet ' ' Track = [vt_Atom] T2
    facet ' ' TraceCode = [vt_Atom] SHORT_DASHED
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 150
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] DEGC
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' PUCS1_MTEP_HR Curve = [t_Object] #NOVALUE
    facet ' ' Scales = [pm_UnitDefaultsL] ({DEGC,0,10}  {DEGF,0,20} ) 
    facet ' ' TraceCode = [vt_Atom] LONG_DASHED
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME MTEP_PUCS1_SL MTEP_PUCS1) 
    facet ' ' Comment = [String] "PUCS CQG Temperature"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] DEGF
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Track = [vt_Atom] T2
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 10
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] DEGC
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' PUCS1_WPRE Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WPRE_PUCS1_SL WPRE_PUCS1) 
    facet ' ' Comment = [String] "PUCS1 Well Pressure"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] KPAA
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] PSIA
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] KPAA
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({PSIA,0,10000}  {KPAA,0,30000} ) 
    facet ' ' Track = [vt_Atom] T2
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (0 0 4) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 3000
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] PSIA
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 10000
  slot  ' PERFO_CURVE Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME PIFL_DM PIFL) 
    facet ' ' Comment = [String] "Perfo Zone"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Inserts = [vt_Atom] OFF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",20,0} ) 
    facet ' ' Track = [vt_Atom] D3T
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 20
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 0
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' PERFO_AREA AreaShade = [vt_Atom] #NOVALUE
    facet ' ' Comment = [String] "Perfo Zone"
    facet ' ' ForeColor = [Int32L] (0 4 4) 
    facet ' ' FillMode = [vt_Atom] FromTo
    facet ' ' Shade = [vt_Atom] GRAY10
    facet ' ' BackColor = [Int32L] (4 4 4) 
    facet ' ' Description = [vt_Atom] YES
    facet ' ' From = [vt_Atom] PERFO_CURVE
    facet ' ' To = [vt_Atom] D3T
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' Track = [vt_Atom] Track
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",0,1} ) 
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] #NULL
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] #NULL
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' METRIC_ScaleUnit = [vt_Atom] #NULL
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Area
  put   ' Position = [Int32L] (-1 -1 300 825) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' PrintWidth = [Int32] 825
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' ParamInsertDefault = [vt_AtomL] (FILTERED) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' PIPS = [StringL] () 
  put   ' RiverList = [vt_AtomL] (#NULL "6_INCH" #NULL "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" #NULL "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" "6_INCH" #NULL #NULL #NULL #NULL) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Ready = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' Reset = [vt_FunctionId] Pres_ResetPL
  slot  ' SPIN Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME SPIN SPIN_SL) 
    facet ' ' Comment = [String] "Filtered Main Spinner"
    facet ' ' TraceCode = [vt_Atom] LONG_DASHED
    facet ' ' TraceWeight = [vt_Atom] HEAVY
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] RPS
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] RPS
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] RPS
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({RPS,-50,50} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] -50
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 50
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] RPS
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' SPI1 Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME SPI1 SPI1_SL) 
    facet ' ' Comment = [String] "Filtered Auxiliary Spinner 1"
    facet ' ' TraceCode = [vt_Atom] SHORT_DASHED
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 0 4) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] RPS
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] RPS
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] RPS
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({RPS,-50,50} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] -50
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 50
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] RPS
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' SPI2 Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME SPI2 SPI2_SL) 
    facet ' ' Comment = [String] "Filtered Auxiliary Spinner 2"
    facet ' ' TraceCode = [vt_Atom] DOTTED
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 4 0) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] RPS
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] RPS
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] RPS
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({RPS,-50,50} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] -50
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 50
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] RPS
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' SVFG Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME SVFG SVFG_SL) 
    facet ' ' Comment = [String] "Main Spinner Computed Data Flag"
    facet ' ' TraceCode = [vt_Atom] LONG_DASHED
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",0,50} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 50
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' SVF1 Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME SVF1 SVF1_SL) 
    facet ' ' Comment = [String] "Auxiliary Spinner 1 Computed Data Flag"
    facet ' ' TraceCode = [vt_Atom] SHORT_DASHED
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",0,50} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 50
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' SVF2 Curve = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME SVF2 SVF2_SL) 
    facet ' ' Comment = [String] "Auxiliary Spinner 2 Computed Data Flag"
    facet ' ' TraceCode = [vt_Atom] DOTTED
    facet ' ' BackupMode = [vt_Atom] NO_BACKUP
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({"----",0,50} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceWeight = [vt_Atom] LIGHT
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceColor = [Int32L] (0 0 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 50
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] "----"
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  put   ' ScrollSize = [Int32] -400
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ForPDS = [Int32F] Pres_LogFormatScrollSizeForPDS
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' StopNotifyParameters = [vt_AtomL] (HOLE_VOLUME/IHVC/PARAMETER) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' SpareNumberCurve ValueCurve = [t_Object] #NULL
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] "----"
    facet ' ' Comment = [String] "Number Curve"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] "----"
    facet ' ' METRIC_ScaleUnit = [vt_Atom] "----"
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' Format = [String] %0.2f
    facet ' ' Frequency = [Float32] 0.5
    facet ' ' Font = [pm_Font] {25,0,Helvetica,0,0,Condensed,Roman} 
    facet ' ' Justification = [vt_Atom] RIGHT_JUSTIFIED
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Position = [vt_Atom] T1
    facet ' ' Scales = [pm_UnitDefaultsL] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' Track = [vt_Atom] Track
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME XXX) 
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' ScaleUnit = [vt_Atom] DEGF
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] ValueCurve
  slot  ' Time_Pip Pip = [t_Object] #NOVALUE
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME "6TIM" ETIM) 
    facet ' ' Comment = [String] "Time Mark"
    facet ' ' CANADIAN_FilterList = [pm_FilterL] ({PIP,(60) ,#NULL} ) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] S
    facet ' ' ENGLISH_FilterList = [pm_FilterL] ({PIP,(60) ,#NULL} ) 
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] S
    facet ' ' METRIC_FilterList = [pm_FilterL] ({PIP,(60) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] S
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' TraceColor = [Int32L] (4 4 4) 
    facet ' ' TraceWeight = [vt_Atom] W10
    facet ' ' FillMode = [vt_Atom] Between
    facet ' ' FilterList = [pm_FilterL] ({PIP,(60) ,#NULL} ) 
    facet ' ' Justification = [vt_Atom] LEFT_JUSTIFIED
    facet ' ' Position = [vt_Atom] T1
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' Size = [vt_Atom] SMALL
    facet ' ' Scales = [pm_UnitDefaultsL] #NULL
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' Track = [vt_Atom] Track
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' ScaleUnit = [vt_Atom] S
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Pip
  put   ' Type = [vt_Atom] LogFormat
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  slot  ' TENS Curve = [t_Object] #NULL
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME TENS) 
    facet ' ' Comment = [String] Tension
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' TraceCode = [vt_Atom] DOTTED
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (1 4 3) 
    facet ' ' Track = [vt_Atom] T3
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] N
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] LBF
    facet ' ' METRIC_ScaleUnit = [vt_Atom] LBF
    facet ' ' Scales = [pm_UnitDefaultsL] ({LBF,10000,0}  {N,20000,0} ) 
    facet ' ' GridMajorLineColor = [Int32L] (0 0 0) 
    facet ' ' GridMinorLineColor = [Int32L] (3 3 3) 
    facet ' ' LabelColor = [Int32L] (0 0 0) 
    facet ' ' LabelFont = [pm_Font] {50,-1,Helvetica,0,0,Condensed,Roman} 
    facet ' ' LabelDecimalPlaces = [Int32] 4
    facet ' ' LineColor = [Int32L] (0 0 0) 
    facet ' ' Region = [t_Object] CrossplotRegion
    facet ' ' TitleFont = [pm_Font] {50,-1,Helvetica,0,0,Condensed,Roman} 
    facet ' ' DrawOnPlot = [Boolean] #TRUE
    facet ' ' GridOnOff = [Boolean] #TRUE
    facet ' ' GridMajorLinePenTip = [vt_Atom] LIGHT
    facet ' ' GridMajorLineTexture = [vt_Atom] SOLID
    facet ' ' GridMinorLinePenTip = [vt_Atom] LIGHT
    facet ' ' GridMinorLineTexture = [vt_Atom] DOTTED
    facet ' ' Intervals = [Int32] 5
    facet ' ' IncreaseOnOff = [Boolean] #TRUE
    facet ' ' LabelSpacing = [Int32] 10
    facet ' ' LabelExponent = [Int32] 0
    facet ' ' LinePenTip = [vt_Atom] HEAVY
    facet ' ' LineTexture = [vt_Atom] SOLID
    facet ' ' MinPercentChange = [Float32] 0
    facet ' ' NumberOfTicks = [Int32] 4
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' TickSize = [Float32] 20
    facet ' ' TickColor = [Int32L] (0 0 0) 
    facet ' ' TickPenTip = [vt_Atom] LIGHT
    facet ' ' TickTexture = [vt_Atom] SOLID
    facet ' ' TitleColor = [Int32L] (0 0 0) 
    facet ' ' TitleSpacing = [Int32] 10
    facet ' ' Type = [vt_Atom] Axis
    facet ' ' PlotDirectionDown = [Boolean] #FALSE
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 3000
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' ScaleUnit = [vt_Atom] LBF
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 0
  slot  ' TOJ_ALPHA ValueCurve = [t_Object] #NULL
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME TOJ) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] S
    facet ' ' Comment = [String] "Time of Job"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] S
    facet ' ' Frequency = [Float32] 0.15
    facet ' ' Format = [String] %T
    facet ' ' Font = [pm_Font] {25,0,Helvetica,0,0,Condensed,Roman} 
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Justification = [vt_Atom] RIGHT_JUSTIFIED
    facet ' ' METRIC_ScaleUnit = [vt_Atom] S
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' Scales = [pm_UnitDefaultsL] ({S,0,1} ) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Position = [vt_Atom] RHT1
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' Track = [vt_Atom] Track
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' ScaleUnit = [vt_Atom] D
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] ValueCurve
  put   ' UnitList = [vt_AtomL] (F/HR V V IN IN GAPI DEGC DEGC G/C3 DEGC DEGC PSIA "----" RPS RPS RPS "----" "----" "----" LBF DEGF DEGF PSIA PSIA G/C3 DGFM S DEGF D PSIA) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnReadyPending = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' UnitSystem = [vt_Atom] METRIC
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' Modified = [Boolean] #TRUE
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VerticalScale = [vt_Atom] D200_Metric
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ENGLISH = [vt_Atom] D200_English
    put   ' ' METRIC = [vt_Atom] D200_Metric
    put   ' ' CANADIAN = [vt_Atom] D200_Metric
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VisibleGroups = [t_ObjectL] (Track Curve VerticalScale Tadpole Waveform AreaShade Image BoreholeDrift DipAngle CurveAggregate Pip Constant ValueCurve VDL) 
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute
  put   ' VDLS = [StringL] () 
  slot  ' WTEP Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WTEP_SL WTEP) 
    facet ' ' Comment = [String] "Well Temperature"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] DEGF
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({DEGC,0,150}  {DEGF,0,300} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceCode = [vt_Atom] SHORT_DASHED
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 220
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 225
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] DEGF
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 225
  slot  ' WTEP_HR Curve = [t_Object] #NOVALUE
    facet ' ' Scales = [pm_UnitDefaultsL] ({DEGC,0,10}  {DEGF,0,20} ) 
    facet ' ' TraceCode = [vt_Atom] LONG_DASHED
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WTEP_SL WTEP) 
    facet ' ' Comment = [String] "Well Temperature"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] DEGF
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] DEGC
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Track = [vt_Atom] T23
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] DEGF
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 2
  slot  ' WPRE Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WPRE_SL WPRE) 
    facet ' ' Comment = [String] "Well Pressure"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] KPAA
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] PSIA
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] KPAA
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({PSIA,0,10000}  {KPAA,0,30000} ) 
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceCode = [vt_Atom] SOLID
    facet ' ' TraceColor = [Int32L] (0 0 4) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 2500
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2600
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] PSIA
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 2600
  slot  ' WPRE_HR Curve = [t_Object] #NOVALUE
    facet ' ' Comment = [String] "Amplified Well Pressure"
    facet ' ' Scales = [pm_UnitDefaultsL] ({PSIA,0,50}  {KPAA,0,300} ) 
    facet ' ' TraceCode = [vt_Atom] DOTTED
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WPRE_SL WPRE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] KPAA
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] PSIA
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] KPAA
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Track = [vt_Atom] T23
    facet ' ' TraceColor = [Int32L] (0 0 4) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] PSIA
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 5
  slot  ' WFDE Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WFDE WFDE_SL) 
    facet ' ' Comment = [String] "Well Fluid Density"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] G/C3
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] G/C3
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] G/C3
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({G/C3,0,2} ) 
    facet ' ' TraceCode = [vt_Atom] LONG_DASHED
    facet ' ' Track = [vt_Atom] T3
    facet ' ' TraceColor = [Int32L] (4 0 0) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 2
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] OFF
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] G/C3
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
  slot  ' WTGR Curve = [t_Object] #NOVALUE
    facet ' ' BackupMode = [vt_Atom] WRAPPED
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WTGR) 
    facet ' ' Comment = [String] "Well Temperature Gradient"
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] DC/M
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] DF/F
    facet ' ' FilterList = [pm_FilterL] ({CSU,(0.5) ,#NULL} ) 
    facet ' ' METRIC_ScaleUnit = [vt_Atom] DC/M
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' Scales = [pm_UnitDefaultsL] ({DC/M,0,10}  {DF/F,0,10} ) 
    facet ' ' Track = [vt_Atom] T1
    facet ' ' TraceCode = [vt_Atom] LONG_DASHED
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Number = [Int32] 0
    facet ' ' Repeat = [vt_Atom] YES
    facet ' ' TraceWeight = [vt_Atom] MEDIUM
    facet ' ' TraceColor = [Int32L] (0 1 0) 
    facet ' ' TraceShade = [vt_Atom] #NULL
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 10
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' RIVER = [vt_Atom] Default
    facet ' ' ScaleUnit = [vt_Atom] DGFM
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] Curve
    facet ' ' IndexForScaleChange = [Float32] 0
    facet ' ' OldLeftScale = [Float32] 0
    facet ' ' OldRightScale = [Float32] 17.9997
  put   ' WAVES = [StringL] () 
  slot  ' WPRE_ALPHA ValueCurve = [t_Object] #NULL
    facet ' ' ChannelSpec = [vt_AtomL] (LIS_NAME WPRE_SL WPRE) 
    facet ' ' CANADIAN_ScaleUnit = [vt_Atom] KPAA
    facet ' ' Comment = [String] "Well Pressure"
    facet ' ' ENGLISH_ScaleUnit = [vt_Atom] PSIA
    facet ' ' Frequency = [Float32] 0.15
    facet ' ' Format = [String] %0.2f
    facet ' ' Font = [pm_Font] {25,0,Helvetica,0,0,Condensed,Roman} 
    facet ' ' FilterList = [pm_FilterL] #NULL
    facet ' ' Justification = [vt_Atom] RIGHT_JUSTIFIED
    facet ' ' METRIC_ScaleUnit = [vt_Atom] KPAA
    facet ' ' OnOff = [vt_Atom] ON
    facet ' ' Scales = [pm_UnitDefaultsL] ({PSIA,0,1}  {KPAA,0,10} ) 
    facet ' ' LFormatMessageNames = [vt_AtomL] #NULL
    facet ' ' Position = [vt_Atom] RHT1
    facet ' ' InsertDirection = [vt_Atom] HORIZONTAL
    facet ' ' Label = [vt_Atom] ON
    facet ' ' Track = [vt_Atom] Track
    facet ' ' LeftScale = [Float32] 0
    facet ' ' MaskList = [vt_AtomL] #NULL
    facet ' ' RightScale = [Float32] 1
    facet ' ' ScaleType = [vt_Atom] LINEAR
    facet ' ' GateType = [vt_Atom] LAST_VALUE
    facet ' ' RIVER = [vt_Atom] #NULL
    facet ' ' ScaleUnit = [vt_Atom] PSIA
    facet ' ' Color = [Int32L] (0 0 0) 
    facet ' ' Inserts = [vt_Atom] ON
    facet ' ' FlagNames = [vt_AtomL] #NULL
    facet ' ' ROLE = [vt_Atom] ValueCurve
  put   ' opd_Dumpable = [Boolean] #FALSE
    facet ' ' FlagNames = [vt_AtomL] #NULL
    put   ' ' ROLE = [vt_Atom] Attribute

/* "***FormatSet" Slots */

  put   "***FormatSet" AppFilter = [vt_AtomL] (SFRT-A/B PSTT-S SFRSUB PSPT-A "~MCM Surface Equipment Diagnostics (SEDIAG)" PSPT-A/B "WellCAD file generator (WELLCAD)") 
  put   ' Applications = [vt_AtomL] (SFRT-A/B SFRSUB PSTT-S PSPT-A PGMS-A PSPT-A/B) 
  put   ' CSLDestOptions = [vt_AtomL] (CURRENT_RUN:) 
  put   ' CSLDestTypeOptions = [vt_AtomL] (VMS_DISK) 
  put   ' DefaultDests = [vt_AtomL] (PRIMARY_SCREEN) 
  put   ' DefaultDestType = [vt_AtomL] (SCREEN) 
  put   ' DisplayRivers = [vt_AtomL] () 
    put   ' ' SampleIntervals = [Int32L] () 
  put   ' FMPath = [String] #NULL
  put   ' HeaderDestOptions = [vt_AtomL] (CURRENT_RUN:) 
  put   ' HeaderDestTypeOptions = [vt_AtomL] (VMS_DISK) 
  put   ' JETDestOptions = [vt_AtomL] (CURRENT_RUN:) 
  put   ' JETDestTypeOptions = [vt_AtomL] (VMS_DISK) 
  put   ' Lock = [Int32] 29568896
  put   ' M1 = [vt_Atom] CHFR_log-1
    put   ' ' Format = [vt_Atom] ***sfrt-LLD_GR2/CHFR_log
    put   ' ' Position = [Int32L] (-1 -1 300 825) 
    put   ' ' Type = [vt_Atom] CLG_MODULE
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
    put   ' ' FldDest = [vt_AtomL] (CURRENT_RUN:) 
    put   ' ' FldDestType = [vt_AtomL] (VMS_DISK) 
    put   ' ' ParamInserts = [vt_AtomL] (FILTERED) 
    put   ' ' DepthAnnotation = [vt_Atom] ON
    put   ' ' OnOff = [vt_Atom] ON
    put   ' ' WPtr = [Int32] 0
  put   ' M2 = [vt_Atom] #NULL
    put   ' ' Format = [vt_Atom] ***sfrt-LLD_GR2/CORRELATION
    put   ' ' Position = [Int32L] (-1 -1 300 825) 
    put   ' ' Type = [vt_Atom] CLG_MODULE
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
    put   ' ' FldDest = [vt_AtomL] (CURRENT_RUN:) 
    put   ' ' FldDestType = [vt_AtomL] (VMS_DISK) 
    put   ' ' ParamInserts = [vt_AtomL] (FILTERED) 
    put   ' ' DepthAnnotation = [vt_Atom] ON
    put   ' ' OnOff = [vt_Atom] OFF
    put   ' ' WPtr = [Int32] 0
  put   ' M3 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
    put   ' ' Format = [vt_Atom] ***sfrt-LLD_GR2/PSP_1
    put   ' ' OnOff = [vt_Atom] OFF
    put   ' ' Type = [vt_Atom] CLG_MODULE
    put   ' ' DepthAnnotation = [vt_Atom] ON
    put   ' ' FldDest = [vt_AtomL] (CURRENT_RUN:) 
    put   ' ' FldDestType = [vt_AtomL] (VMS_DISK) 
    put   ' ' ParamInserts = [vt_AtomL] (FILTERED) 
    put   ' ' Position = [Int32L] (-1 -1 300 825) 
    put   ' ' WPtr = [Int32] 0
    put   ' ' InitFormat = [vt_Atom] #NULL
  put   ' M4 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
    put   ' ' Format = [vt_Atom] #NULL
    put   ' ' OnOff = [vt_Atom] OFF
    put   ' ' Type = [vt_Atom] #NULL
    put   ' ' DepthAnnotation = [vt_Atom] ON
    put   ' ' FldDest = [vt_AtomL] (CURRENT_RUN:) 
    put   ' ' FldDestType = [vt_AtomL] (VMS_DISK) 
    put   ' ' ParamInserts = [vt_AtomL] (FILTERED) 
    put   ' ' Position = [Int32L] #NULL
    put   ' ' WPtr = [Int32] 0
    put   ' ' InitFormat = [vt_Atom] #NULL
  put   ' M5 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
    put   ' ' Format = [vt_Atom] #NULL
    put   ' ' OnOff = [vt_Atom] OFF
    put   ' ' Type = [vt_Atom] #NULL
    put   ' ' DepthAnnotation = [vt_Atom] ON
    put   ' ' FldDest = [vt_AtomL] (CURRENT_RUN:) 
    put   ' ' FldDestType = [vt_AtomL] (VMS_DISK) 
    put   ' ' ParamInserts = [vt_AtomL] (FILTERED) 
    put   ' ' Position = [Int32L] #NULL
    put   ' ' WPtr = [Int32] 0
    put   ' ' InitFormat = [vt_Atom] #NULL
  put   ' M6 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
    put   ' ' Format = [vt_Atom] #NULL
    put   ' ' OnOff = [vt_Atom] ON
    put   ' ' Type = [vt_Atom] #NULL
    put   ' ' DepthAnnotation = [vt_Atom] ON
    put   ' ' FldDest = [vt_AtomL] (CURRENT_RUN:) 
    put   ' ' FldDestType = [vt_AtomL] (VMS_DISK) 
    put   ' ' ParamInserts = [vt_AtomL] (FILTERED) 
    put   ' ' Position = [Int32L] #NULL
    put   ' ' WPtr = [Int32] 0
    put   ' ' InitFormat = [vt_Atom] #NULL
  put   ' M7 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M8 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M9 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M10 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M11 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M12 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M13 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M14 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M15 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M16 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M17 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M18 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M19 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' M20 = [vt_Atom] #NULL
    put   ' ' GrDest = [vt_AtomL] (PRIMARY_SCREEN) 
    put   ' ' GrDestType = [vt_AtomL] (SCREEN) 
  put   ' PARMDestOptions = [vt_AtomL] () 
  put   ' PARMDestTypeOptions = [vt_AtomL] () 
